﻿@model AuthnData.Models.Login.ChangePassViewModel;
@{
    var error = TempData["Error"] as string;
    var success = TempData["Success"] as string;
}
@if(!string.IsNullOrEmpty(error))
{
    <h2 class="alert-danger" style="padding:20px;">@error</h2>
}
<h1>Changer votre Mot de passe</h1>
@if(!string.IsNullOrEmpty(success))
{
    <h2 class="alert-success" style="padding:20px;">@success - <a asp-controller="Home" asp-action="Index">Revenir à l'accueil</a></h2>
}
else
{
    <form asp-controller="Login" asp-action="ChangePass" method="post">
        <div asp-validation-summary="ModelOnly" class="text-danger"></div>
        <label asp-for="OldPassword" class="control-label"></label>  
        <input asp-for="OldPassword" class="form-control" type="password" id="OldPassword" name="OldPassword" placeholder="Entrez votre mot de passe actuel..."/>
        <span asp-validation-for="OldPassword" class="text-danger"></span>
        <label asp-for="Password" class="control-label"></label>  
        <input asp-for="Password" class="form-control" type="password" id="Password" name="Password" placeholder="Entrez votre nouveau mot de passe..."/>
        <span asp-validation-for="Password" class="text-danger"></span>
        <label asp-for="ConfirmPassword" class="control-label"></label>  
        <input asp-for="ConfirmPassword" class="form-control" type="password" id="ConfirmPassword" name="ConfirmPassword" placeholder="Entrez votre nouveau mot de passe..."/>
        <span asp-validation-for="ConfirmPassword" class="text-danger"></span>
        <input type="submit" value="Changer mon mot de passe"/>
    </form>
}
